For the complete documentation index, see llms.txt. This page is also available as Markdown.

User Filters

Deprecated

Get User filter

get

Retrieve the filtered user accounts device names for the specified published resource. Deprecated path - Use Criteria section instead.

Path parameters
idinteger · int32Required

ID of the published resource to be acquired.

Responses
200

Success

application/json; api-version=1.0

User filter

accountstring · nullableOptional

The name of the user/group account the filter is added to.

typestring · enumOptional

User Type

Possible values:
sidstring · nullableOptional

The SID of the user/group account the filter is added to.

get/api/PubItems/{id}/UserFilters
Deprecated

Add User filter

post

Add a User account to the filter of type 'User' for the specified published resource. Deprecated path - Use Criteria section instead.

Path parameters
idinteger · int32Required

ID of the published resource to be updated

Body

Add a user or group account to the filter of type 'User' for the specified published resource

accountstring · min: 1 · max: 255 · nullableOptional

The name of the user/group account to add to the filter.

sidstring · min: 1 · max: 255 · nullableOptional

The SID of the user/group account to add to the filter.

Responses
201

Created

No content

post/api/PubItems/{id}/UserFilters

No content

Deprecated

Delete User filter

delete

Delete a User account from the filter of type 'User' for the specified published resource. Deprecated path - Use Criteria section instead.

Path parameters
idinteger · int32Required

ID of the published resource to be updated

accountstringRequired

Account of User to be deleted from the filter

Responses
204

No Content

No content

delete/api/PubItems/{id}/UserFilters/{account}

No content